Zum Hauptinhalt springen

IP Geolocation

Look up geographic location and ASN data for IPv4 and IPv6 addresses.

Endpoints

GET /api/v1/ip/{ip}
GET /api/v1/ip # Uses client's IP address

Parameters

ParameterTypeRequiredDescription
ipstringNoIPv4 or IPv6 address

Response

{
"ip": "8.8.8.8",
"ipType": "IPV4",
"countryCode": "US",
"countryName": "United States",
"regionName": "California",
"regionCode": "CA",
"cityName": "Mountain View",
"continentCode": "NA",
"continentName": "North America",
"lat": 37.386,
"lng": -122.0838,
"zipCode": "94035",
"timezone": "America/Los_Angeles",
"isEU": false,
"asn": 15169,
"asnOrganization": "GOOGLE"
}

Response Fields

FieldTypeDescription
ipstringThe queried IP address
ipTypestringIP version (IPV4 or IPV6)
countryCodestringISO 3166-1 alpha-2 country code
countryNamestringFull country name
regionNamestringRegion/state name
regionCodestringRegion/state code
cityNamestringCity name
continentCodestringContinent code (NA, EU, AS, AF, OC, SA, AN)
continentNamestringFull continent name
latnumberLatitude
lngnumberLongitude
zipCodestringPostal/ZIP code
timezonestringIANA timezone identifier
isEUbooleanWhether the country is in the European Union
asnintegerAutonomous System Number
asnOrganizationstringName of the organization owning the ASN

Notes

  • Local/private IP addresses (loopback, link-local, site-local) will return 404 Not Found
  • Powered by MaxMind GeoLite2 database
  • Accuracy varies by location — typically city-level for most regions